Wii Sports Resort asking for Update on softmoded 4.1E

Discussion in 'Wii - Hacking' started by kkmll, Aug 8, 2009.

  1. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
    Hello. I know there is a very similar post here: http://gbatemp.net/index.php?showtopic=170424
    But it doesn't give me the info I want.

    I just got a new wii from nintendo for free. (So.. for anyone who might be interested they do give you a new wii for free if you send them your bricked wii.)

    So.. I had a virgin 4.1E wich I softmoded so I can play backups. However I cannot install BootMii as boot2.. So I didn't install it at all. I don't have Preloader either. ('either'? 'neither'? wich one should I use?)

    But when I insert the Sports resort disc it wants to do an update, even tho I already have 4.1E
    And yes, I can launch it from NeoGamma perfectly but i'm afraid someone using the wii might do the update..

    So I want to know.. has anyone done this update through the disc channel with a softmoded 4.1E ? If so... is it OK to do it?

    I know I could install Preloader and disable the disc updates but that's not what I wanna know.. thanks [​IMG]

    PS: I'm using rev14, any help?

    EDIT: Both the retail game and the Wii are PAL. So I did the update and everything is fine.
     


  2. technom8t

    Member technom8t GBAtemp Regular

    Joined:
    Jul 11, 2009
    Messages:
    163
    Location:
    Scotland, UK
    Country:
    United Kingdom
    i have updated via the disc channel before and it did not effect my SoftMod in anyway, i actually have done other ppl's Wii's and have updated the software after i have modded it and it has never once effected any of my softmods/backup launchers.

    P.S Even if it did, you could just re-Mod your wii afterwards, it litrelly takes 5 minutes to do :-)
     
  3. icebrg5

    Member icebrg5 GBAtemp Addict

    Joined:
    Apr 1, 2007
    Messages:
    2,326
    Country:
    United States
    I don't even think theres an update for you.The wii normally says this for some reason.

    I hacked a friends wii the other day and he was already updated to 4.1
    Well i added my settings for my wifi connection so i could use it to run TBR and the cios installer.

    It did a connection test to make sure everything was right and then it poped up and told me there was an update available even though we knew there wasnt.
     
  4. xzxero

    Member xzxero ♥bong milk does good for the brain♥

    Joined:
    Jul 18, 2008
    Messages:
    3,831
    Location:
    SB
    Country:
    United States
    you must've had warranty and lied to Nintendo then, they don't just give away Wii's



    If you know the solution [installing preloader and disabling disc updates] why dont you do that?

    i dont understand noobs.
    they make things hard on themselves.
     
  5. T-Rex

    Newcomer T-Rex Advanced Member

    Joined:
    May 25, 2009
    Messages:
    85
    Country:
    Brazil
    Why you dont take the StartPatch or Menu Patcher??
     
  6. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
    So knowing the solution makes me a noob? Or is it the fact that I want to try/understand something different?

    Could you please enlighten me with your knowledge?

    ....

    My guess is that it may replace some of the hacked stuff with its originals. In that case technom8t would be right. But I would really like some good explanation on the update system..

    T-Rex, I don't know what StartPatch is, but AFAIK Menu Patcher doesn't have anything to do.. plus.. the game is original, I just bought it today.

    Thanks for your answers [​IMG]
     
  7. kobykaan

    Member kobykaan GBAtemp Addict

    Joined:
    Aug 27, 2007
    Messages:
    2,994
    Country:
    United Kingdom
    You do know that usually an update from a different region may result in BRICK don't you!?
     
  8. -pb-

    Newcomer -pb- Advanced Member

    Joined:
    Mar 30, 2009
    Messages:
    97
    Location:
    nl
    Country:
    Netherlands
    just remove the update from the iso before you burn it.
    there are plenty tools around to do that.
     
  9. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
     
  10. -pb-

    Newcomer -pb- Advanced Member

    Joined:
    Mar 30, 2009
    Messages:
    97
    Location:
    nl
    Country:
    Netherlands
    sorry, missed that one.

    if you bought it from local store then there shouldn't be an region issue at all.
    (they do not sell imports in local stores)

    properly you have some IOS's which are patched on your wii.
    (that's why it asks you to run the update, some versions doesn't matched the update)

    general rule for any kind of softmodded wii, like yours which has at least cios to run the usb loader, is to not use official updates at all.

    so, wanna keep your software modifications, use a ''blocker"
    or just start your usbloader, choose install game, remove your original and enjoy your legally made backup by starting it from the usb loader
    (install to disk will skip the software update, only game data is installed to the disk)
     
  11. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
    Well, you're right, I can just dump the iso and remove the update from the backup as you said. But I'm gonna try the last thing you said instead.

    Thank you [​IMG]
     
  12. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Also if you want to, you can run dop-IOS v7 and scroll through the list of all of the IOS's and see if there are any that are either not installed or not updated to the most recent version. If some aren't just have it update them to the most recent one. You don't need to patch the sig hash check(trucha bug) into them, but it shouldn't hurt. Only ones that would really help you to do it on is patching the sig hash check in IOS60 and the sig hash check and ES_Identify in IOS36. If you have all of your IOS's fully up to date there SHOULDN'T be anymore prompt to update.
     
  13. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela

    Ok, I'm gonna read more about this, (see what the "sig hash" really are) and I think I'll try it tomorrow.
    But I gotta do some research before. thanks for the advice!
     
  14. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
    Well, I used Dop-IOS to update/install and patch every single IOS, except for 50,51,60 and 61. But I installed IOS60patched.wad when I softmoded the wii.

    I also reinstalled IOS36 with sig hash check and ES_Identify.

    But.. nothing has changed.. it keeps asking for an update. Maybe it wants to update the IOS60?

    I also tried to use WUFE but I only have a SDHC card. Is there any other option I could use?

    PS: I'm on 4.1E should I update 50 and 51 using the Dop-IOS? what about IOS 60 and 61?
    And I have also noticed I have some "stub" versions.. is this relevant?
     
  15. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    How about running the game via Gecko?

    The fact you have IOS stubs means those IOSes are not the issue; it's the latest revision of that IOS from Nintendo.
     
  16. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela

    Well I can run it from NeoGamma. But it's a retail game. I should be able to run it from the disc channel.

    If I use Gecko, will it give any usefull info?
     
  17. icebrg5

    Member icebrg5 GBAtemp Addict

    Joined:
    Apr 1, 2007
    Messages:
    2,326
    Country:
    United States
    The update is looking at your ios files and seeing they are older and have the trucha bug in them.Its wanting to update them.

    A disc update or system menu update will always try to update to the latest ios files doesnt matter if your on the newest system menu firmware or not if it sees an older ios it will try to update it.

    Its no harm to update them anyway.You will still be able to play all your games ext.. and you will still have ios249 installed which can be used to install all the wads and future cios revisions that come out.

    Plus there is trucha bug restorer which can put the bug back into ios36 at anytime doesn't matter what firmware.

    Posts merged


    Gecko will just let you skip the disc update in order to play the game.
     
  18. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
    Ok, so I just tried Gecko and it laucnhes the game too.. same as NeoGamma..

    Anyways... all my IOS are up to date with Dop-IOS. and I have 4.1E on a PAL Wii (obviously) the game is also PAL.
    can I run the update safely?

    WUFE wont let use my SDHC card..
     
  19. kkmll
    OP

    Newcomer kkmll Member

    Joined:
    Jul 21, 2009
    Messages:
    29
    Country:
    Venezuela
    OK, I just did the update. everything went fine.But I still don't know what it did.

    Big Thanks to everyone who wanted to help in this thread.
     
  20. icebrg5

    Member icebrg5 GBAtemp Addict

    Joined:
    Apr 1, 2007
    Messages:
    2,326
    Country:
    United States
    It installed ios cat inside your wii to watch your iosz
     

Share This Page